## org.jgroups.blocks.mux
Class NoMuxHandlerRspFilter

    java.lang.Object
      org.jgroups.blocks.mux.NoMuxHandlerRspFilter

All Implemented Interfaces:
  RspFilter

    public class NoMuxHandlerRspFilter

extends java.lang.Object
implements RspFilter

Response filter that reject any `NoMuxHandler` responses.

Author:
  Paul Ferraro

Constructor Summary
`NoMuxHandlerRspFilter()`
`NoMuxHandlerRspFilter(RspFilter filter)`

Method Summary
`boolean` `isAcceptable(java.lang.Object response, Address sender)` Determines whether a response from a given sender should be added to the response list of the request
`boolean` `needMoreResponses()` Right after calling `RspFilter.isAcceptable(Object, org.jgroups.Address)`, this method is called to see whether we are done with the request and can unblock the caller

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoMuxHandlerRspFilter

    public NoMuxHandlerRspFilter()

### NoMuxHandlerRspFilter

    public NoMuxHandlerRspFilter(RspFilter filter)

Method Detail

### isAcceptable

    public boolean isAcceptable(java.lang.Object response,
                                Address sender)

  Description copied from interface: `RspFilter`
  Determines whether a response from a given sender should be added to the response list of the request

  Specified by:
    `isAcceptable` in interface `RspFilter`
  Parameters:
    `response` - The response (usually a serializable value)
    `sender` - The sender of response
  Returns:
    True if we should add the response to the response list (`RspList`) of a request, otherwise false. In the latter case, we don't add the response to the response list.

### needMoreResponses

    public boolean needMoreResponses()

  Description copied from interface: `RspFilter`
  Right after calling `RspFilter.isAcceptable(Object, org.jgroups.Address)`, this method is called to see whether we are done with the request and can unblock the caller

  Specified by:
    `needMoreResponses` in interface `RspFilter`
  Returns:
    False if the request is done, otherwise true

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.